// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.c
// Author        : xianfeng.du
// Created On    : 2022-10-19s
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "osp_task.h"
#include "osp_timer.h"
#include "ucp_printf.h"

/************************************************************************/
void ape0_event_task(uint32_t addr, uint32_t size);
void ape0_test_task_reg(void)
{
    osp_task_info_ex ape0_event_task_info = {50, (int8_t*)"ape0_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task};
    osp_task_create(&ape0_event_task_info);
    return ;
}

/************************************************************************/
void ape1_event_task(uint32_t addr, uint32_t size);
void ape1_test_task_reg(void)
{
    osp_task_info_ex ape1_event_task_info = {50, (int8_t*)"ape1_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task};
    osp_task_create(&ape1_event_task_info);
    return ;
}

void ape2_test_task_reg(void)
{
    return ;
}

void ape3_test_task_reg(void)
{
    return ;
}

void ape4_test_task_reg(void)
{
    return ;
}

void ape5_test_task_reg(void)
{
    return ;
}

void ape6_test_task_reg(void)
{
    return ;
}

void ape7_test_task_reg(void)
{
    return ;
}

